Skip to main content
POST
Archive a customer insight

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Body

application/json
policy
enum<string>
default:until_escalating

When the insight should resurface after archiving

Available options:
forever,
until_count,
until_escalating
reason
string

Reason for archiving

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
insight_number
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
content
string
required
sentiment
enum<string>
required
Available options:
angry,
happy,
neutral
occurrence_count
integer
required
Required range: -9007199254740991 <= x <= 9007199254740991
category
object | null
required
team
object | null
required
resolved_by
object | null
required
resolved_at
string<date-time> | null
required
archived_by
object | null
required
archived_at
string<date-time> | null
required
archive_policy
enum<string> | null
required
Available options:
forever,
until_count,
until_escalating
resurface_progress
object | null
required
deep_research
string | null
required
deep_research_completed_at
string<date-time> | null
required
first_seen_at
string<date-time>
required
last_seen_at
string<date-time>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required